Package org.eclipse.m2m.atl.engine.injectors.xml

## Class ProtectedHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.eclipse.m2m.atl.engine.injectors.xml.ProtectedHandler

All Implemented Interfaces:
  `org.xml.sax.ContentHandler`, `org.xml.sax.DTDHandler`, `org.xml.sax.EntityResolver`, `org.xml.sax.ErrorHandler`

    public class ProtectedHandler
    extends org.xml.sax.helpers.DefaultHandler

### Constructor Summary

Constructors
`ProtectedHandler​(org.xml.sax.helpers.DefaultHandler handler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `characters​(char[] ch, int start, int length)`
`void` `endElement​(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`void` `error​(org.xml.sax.SAXParseException e)`
`void` `fatalError​(org.xml.sax.SAXParseException e)`
`void` `setDocumentLocator​(org.xml.sax.Locator locator)`
`void` `startElement​(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProtectedHandler

    public ProtectedHandler​(org.xml.sax.helpers.DefaultHandler handler)

### Method Detail

#### setDocumentLocator

    public void setDocumentLocator​(org.xml.sax.Locator locator)

Specified by:
  `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
Overrides:
  `setDocumentLocator` in class `org.xml.sax.helpers.DefaultHandler`

#### characters

    public void characters​(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

Specified by:
  `characters` in interface `org.xml.sax.ContentHandler`
Overrides:
  `characters` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### startElement

    public void startElement​(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

Specified by:
  `startElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### endElement

    public void endElement​(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

Specified by:
  `endElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `endElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### error

    public void error​(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

Specified by:
  `error` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `error` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### fatalError

    public void fatalError​(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

Specified by:
  `fatalError` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `fatalError` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`